Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Manual rules
  • Rule management
  • Templates
Cloud
Automation / Reference / REST API

Rule management

Postman Collection
OpenAPI

This resource represents rule management operations. Use this to:

  • search for rule summaries
  • get and create a rule
  • update and enable/disable a rule
GET

List rule summaries

Get rule summaries for all rules.

Deprecated: The links field in the response body has recently changed to return just the query parameters instead of absolute links. See the changelog notice.

Forge and OAuth2 apps cannot access this REST resource.

Request

Query parameters

cursor

string

limit

number

Responses

Return rule summaries for all rules.

application/json

RuleSummaryResponse

Result of a rule summary search. Contains 0 or more results.

GET/rest/v1/rule/summary
1 2 3 curl --request GET \ --url 'https://api.atlassian.com/automation/public/{product}/{cloudid}/rest/v1/rule/summary' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 { "links": { "self": "?cursor=bbbbbb&limit=100", "next": "?cursor=bbbbbb&limit=100", "prev": "?cursor=bbbbbb&limit=100" }, "data": [ { "actorAccountId": "5b10ac8d82e05b22cc7d4ef5", "ruleScopeARIs": [ "ari:cloud:jira:182b9218-d56a-453d-9659-3f29ea2aa7eb:project/10001" ], "authorAccountId": "5b10ac8d82e05b22cc7d4ef5", "created": 1743568964.174, "updated": 1743568964.174, "description": "A rule description", "uuid": "0192e5ac-0e25-71de-ba7b-d972e6a2049a", "labels": [ "label one" ], "name": "Rule one", "state": "ENABLED" } ] }
POST

Search for rule summaries

Get rule summaries for rules that match the given criteria via POST.

Supports filtering by trigger, rule state, and rule scope (single ARI).

Deprecated: The links field in the response body has recently changed to return just the query parameters instead of absolute links. See the changelog notice.

Forge and OAuth2 apps cannot access this REST resource.

Request

Request bodyapplication/json

Query parameters to search on. At least one of trigger, state, scope, or limit must be present.

cursor

string

trigger

string

state

RuleState

scope

ARI

author

AccountId

limit

number

Responses

Return the rule summaries that match the query.

application/json

RuleSummaryResponse

Result of a rule summary search. Contains 0 or more results.

POST/rest/v1/rule/summary
1 2 3 4 5 6 7 8 9 10 11 12 curl --request POST \ --url 'https://api.atlassian.com/automation/public/{product}/{cloudid}/rest/v1/rule/summary' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "cursor": "ewogICJhZnRlck9iamVjdElkIjogIjExMTIxMTEiLAogICJvcmRlckJ5IjogIklEIiwKICAicGFnZVNpemUiOiA1Cn0=", "trigger": "jira.version.event.trigger:created", "state": "ENABLED", "scope": "ari:cloud:jira:182b9218-d56a-453d-9659-3f29ea2aa7eb:project/10001", "author": "<string>", "limit": 50 }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 { "links": { "self": "?cursor=bbbbbb&limit=100", "next": "?cursor=bbbbbb&limit=100", "prev": "?cursor=bbbbbb&limit=100" }, "data": [ { "actorAccountId": "5b10ac8d82e05b22cc7d4ef5", "ruleScopeARIs": [ "ari:cloud:jira:182b9218-d56a-453d-9659-3f29ea2aa7eb:project/10001" ], "authorAccountId": "5b10ac8d82e05b22cc7d4ef5", "created": 1743568964.174, "updated": 1743568964.174, "description": "A rule description", "uuid": "0192e5ac-0e25-71de-ba7b-d972e6a2049a", "labels": [ "label one" ], "name": "Rule one", "state": "ENABLED" } ] }
POST

Create a new rule

Create a new rule from the provided Rule Payload.

If providing a UUID for your new rule, it must be unique and V7. The time-based nature of V7 will impact sorting and pagination of your rule.

Accepts a rule payload, which has the same structure as the get a rule by UUID response.

Forge and OAuth2 apps cannot access this REST resource.

Request

Request bodyapplication/json

rule

CreateRulePayload

Required
connections

array<ConnectionWriteDTO>

Responses

Rule was successfully created.

application/json

RuleUuidResponse
POST/rest/v1/rule
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 curl --request POST \ --url 'https://api.atlassian.com/automation/public/{product}/{cloudid}/rest/v1/rule' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "rule": { "actor": { "actor": "<string>", "type": "ACCOUNT_ID" }, "authorAccountId": "<string>", "canOtherRuleTrigger": true, "collaborators": [ "<string>" ], "components": [ { "children": [], "component": "TRIGGER", "conditionParentId": "<string>", "conditions": [], "connectionId": "0192e5ac-0e25-71de-ba7b-d972e6a2049a", "parentId": "<string>", "schemaVersion": 2154, "type": "<string>", "value": "<string>" } ], "description": "<string>", "labels": [ "<string>" ], "name": "<string>", "notifyOnError": "FIRSTERROR", "ruleScopeARIs": [ "ari:cloud:jira:182b9218-d56a-453d-9659-3f29ea2aa7eb:project/10001" ], "state": "ENABLED", "trigger": { "component": "TRIGGER", "conditions": [ { "children": [], "component": "TRIGGER", "conditionParentId": "<string>", "conditions": [], "connectionId": "0192e5ac-0e25-71de-ba7b-d972e6a2049a", "parentId": "<string>", "schemaVersion": 2154, "type": "<string>", "value": "<string>" } ], "connectionId": "0192e5ac-0e25-71de-ba7b-d972e6a2049a", "schemaVersion": 2154, "type": "<string>", "value": "<string>" }, "uuid": "<string>", "writeAccessType": "OWNER_ONLY" }, "connections": [ { "id": "0192e5ac-0e25-71de-ba7b-d972e6a2049a", "accountId": "<string>", "connectionTargetKey": "com.atlassian.confluence.native", "targetConfigJson": "<string>", "authType": "OAUTH_3LO" } ] }'
201Response
1 2 3 { "ruleUuid": "0192e5ac-0e25-71de-ba7b-d972e6a2049a" }
GET

Get a rule by UUID

Performs a request to retrieve the rule with the provided UUID. This includes the rule payload, trigger, components, and other metadata.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

ruleUuid

string

Required

Responses

Return Rule Config for the specified rule

application/json

RuleConfigResponse
GET/rest/v1/rule/{ruleUuid}
1 2 3 curl --request GET \ --url 'https://api.atlassian.com/automation/public/{product}/{cloudid}/rest/v1/rule/{ruleUuid}' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 { "rule": { "actor": { "actor": "<string>", "type": "ACCOUNT_ID" }, "authorAccountId": "<string>", "canOtherRuleTrigger": true, "collaborators": [ "<string>" ], "components": [ { "id": "151", "children": [], "component": "TRIGGER", "conditionParentId": "<string>", "conditions": [], "connectionId": "0192e5ac-0e25-71de-ba7b-d972e6a2049a", "parentId": "<string>", "schemaVersion": 2154, "type": "<string>", "value": "<string>" } ], "created": 2154, "description": "<string>", "labels": [ "<string>" ], "name": "<string>", "notifyOnError": "FIRSTERROR", "ruleScopeARIs": [ "ari:cloud:jira:182b9218-d56a-453d-9659-3f29ea2aa7eb:project/10001" ], "state": "ENABLED", "trigger": { "id": "151", "component": "TRIGGER", "conditions": [ { "id": "151", "children": [], "component": "TRIGGER", "conditionParentId": "<string>", "conditions": [], "connectionId": "0192e5ac-0e25-71de-ba7b-d972e6a2049a", "parentId": "<string>", "schemaVersion": 2154, "type": "<string>", "value": "<string>" } ], "connectionId": "0192e5ac-0e25-71de-ba7b-d972e6a2049a", "schemaVersion": 2154, "type": "<string>", "value": "<string>" }, "updated": 2154, "uuid": "<string>", "writeAccessType": "OWNER_ONLY" }, "connections": [ { "id": "0192e5ac-0e25-71de-ba7b-d972e6a2049a", "accountId": "<string>", "connectionTargetKey": "com.atlassian.confluence.native", "targetConfigJson": "<string>", "authType": "OAUTH_3LO", "createdAt": 1743568964.174, "updatedAt": 1743568964.174, "container": { "id": "0192e5ac-0e25-71de-ba7b-d972e6a2049a", "containerType": "RULE" } } ] }
PUT

Update an existing rule

Updates an existing rule by accepting a rule payload, which has the same structure as the get a rule by UUID response. ComponentIds are only required for pre-existing components. New components will be created or deleted as needed.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

ruleUuid

string

Required

Request bodyapplication/json

rule

RulePayload

Required
connections

array<ConnectionWriteDTO>

Responses

Rule was successfully updated

application/json

RuleUuidResponse
PUT/rest/v1/rule/{ruleUuid}
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 curl --request PUT \ --url 'https://api.atlassian.com/automation/public/{product}/{cloudid}/rest/v1/rule/{ruleUuid}' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "rule": { "actor": { "actor": "<string>", "type": "ACCOUNT_ID" }, "authorAccountId": "<string>", "canOtherRuleTrigger": true, "collaborators": [ "<string>" ], "components": [ { "id": "151", "children": [], "component": "TRIGGER", "conditionParentId": "<string>", "conditions": [], "connectionId": "0192e5ac-0e25-71de-ba7b-d972e6a2049a", "parentId": "<string>", "schemaVersion": 2154, "type": "<string>", "value": "<string>" } ], "description": "<string>", "labels": [ "<string>" ], "name": "<string>", "notifyOnError": "FIRSTERROR", "ruleScopeARIs": [ "ari:cloud:jira:182b9218-d56a-453d-9659-3f29ea2aa7eb:project/10001" ], "state": "ENABLED", "trigger": { "id": "151", "component": "TRIGGER", "conditions": [ { "id": "151", "children": [], "component": "TRIGGER", "conditionParentId": "<string>", "conditions": [], "connectionId": "0192e5ac-0e25-71de-ba7b-d972e6a2049a", "parentId": "<string>", "schemaVersion": 2154, "type": "<string>", "value": "<string>" } ], "connectionId": "0192e5ac-0e25-71de-ba7b-d972e6a2049a", "schemaVersion": 2154, "type": "<string>", "value": "<string>" }, "writeAccessType": "OWNER_ONLY" }, "connections": [ { "id": "0192e5ac-0e25-71de-ba7b-d972e6a2049a", "accountId": "<string>", "connectionTargetKey": "com.atlassian.confluence.native", "targetConfigJson": "<string>", "authType": "OAUTH_3LO" } ] }'
200Response
1 2 3 { "ruleUuid": "0192e5ac-0e25-71de-ba7b-d972e6a2049a" }
PUT

Enable or disable a rule

Enable or disable a rule by rule UUID.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

ruleUuid

string

Required

Request bodyapplication/json

value

RuleState

Required

Responses

Rule was successfully updated.

PUT/rest/v1/rule/{ruleUuid}/state
1 2 3 4 5 6 curl --request PUT \ --url 'https://api.atlassian.com/automation/public/{product}/{cloudid}/rest/v1/rule/{ruleUuid}/state' \ --header 'Content-Type: application/json' \ --data '{ "value": "ENABLED" }'
PUT

Update rule scope

Update the scope of a rule by UUID.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

ruleUuid

string

Required

Request bodyapplication/json

ruleScopeARIs

array<ARI>

Required

Responses

Rule was successfully updated.

PUT/rest/v1/rule/{ruleUuid}/rule-scope
1 2 3 4 5 6 7 8 curl --request PUT \ --url 'https://api.atlassian.com/automation/public/{product}/{cloudid}/rest/v1/rule/{ruleUuid}/rule-scope' \ --header 'Content-Type: application/json' \ --data '{ "ruleScopeARIs": [ "ari:cloud:jira:182b9218-d56a-453d-9659-3f29ea2aa7eb:project/10001" ] }'

Rate this page: